M3SOCKS(1)

NAME
m3socks - execute a Modula-3 program using a SOCKS proxy server

SYNOPSIS
m3socks command [arguments]

DESCRIPTION
m3socks runs command after dynamically linking SOCKS support into its memory image. The command must be a dynamically linked Modula-3 program.

ENVIRONMENT
m3socks exports the environment setting M3SOCKS=1 to command. This can be used by command to detect whether it is being run using SOCKS.

FILES
/usr/local/etc/m3socks.conf
    SOCKS configuration file.

SEE ALSO
m3socks.conf(5)

STANDARDS
m3socks uses version 4 of the SOCKS protocol. This protocol is supported by version 4 and version 5 SOCKS servers.

BUGS
m3socks has no effect if the command is a set-user-ID or set-group-ID program.

AUTHORS
John Polstra, <jdp@polstra.com>.